## bibtool 2.65+ds

=== debian/changelog ===
bibtool (2.65+ds-1) unstable; urgency=medium

  * New upstream version (Closes: #827102):
    - thanks to the upstream maintainer for promptly fixing the FTBFS issue;
    - integrate previous Debian fixes that silenced compiler warnings.
  * Debianization:
    - debian/patches/
      - d/p/upstream-Changes_tex-date_setup.patch, introduce;
      - discard integrated and/or obsoleted patches:
        - d/p/upstream-source-silence-warnings.patch
        - d/p/upstream-source-silence-warnings-extra.patch .

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 14 Jun 2016 23:26:38 +0000

bibtool (2.64+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/copyright, revisit;
    - debian/control, update;
    - debian/patches/:
      - d/p/upstream-source-silence-warnings.patch, introduce (and submit);
      - d/p/upstream-source-silence-warnings-extra.patch, idem;
      - d/p/rationalization-upstream-doc.patch, update;
      - d/p/debianization-Changes_tex.patch, refresh;
      - discard integrated and/or obsoleted patches:
        - d/p/fix-upstream-README_ml.patch
        - d/p/fix-upstream-Changes_tex.patch
        - d/p/fix-upstream-doc-bibtool_doc_sty.patch
        - d/p/fix-upstream-source-spelling_error.patch
        - d/p/compress-upstream-doc.patch
    - debian/watch, revisit.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 11 Jun 2016 19:25:30 +0000

bibtool (2.63+ds-2) unstable; urgency=medium

  * FTBFS fix release (Closes: #825894), provide backward compatibility for old
    font commands for the bibtool-doc LaTeX style; thanks to Norbert Preining
    <preining@debian.org>.
  * Debianization:
    - debian/control:
      - Standards Version, bump to 3.9.8 (no change);
    - debian/rules:
      - dpkg-buildflags, add hardening=+all;
    - debian/patches/:
      - d/p/fix-upstream-source-spelling_error.patch, introduce (and submit);
      - d/p/fix-upstream-doc-bibtool_doc_sty.patch, introduce (and submit)
      - d/p/debianization-documentation.patch, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 31 May 2016 22:38:57 +0000

=== debian/control ===
Source: bibtool
Section: tex
Priority: optional
Maintainer: Debian Tex Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>, Norbert Preining <preining@debian.org>
Build-Depends:
 debhelper (>= 9), autotools-dev, dh-autoreconf, tex-common,
 texlive-binaries, texlive-latex-base, texlive-latex-recommended, texlive-luatex,
 libkpathsea-dev,
 tth, html2text
Standards-Version: 3.9.8
Homepage: http://www.gerd-neugebauer.de/software/TeX/BibTool/index.en.html
Vcs-Git: https://anonscm.debian.org/git/debian-tex/bibtool.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-tex/bibtool.git

Package: bibtool
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: texlive-base
Enhances: texlive-base
Description: tool to manipulate BibTeX files
 BibTeX provides an easy to use means to integrate citations and
 bibliographies into LaTeX documents. But the user is left alone with
 the management of the BibTeX files. BibTool is intended to fill this
 gap. BibTool allows the  manipulation of BibTeX files which goes
 beyond the possibilities -- and intentions -- of BibTeX.
 .
 BibTool manipulates BibTeX database files through the command line
 front-end bibtool which accepts numerous options. Modifications are
 performed through resource instructions that allow the modification
 of the various internal parameters determining the behavior of BibTool;
 resource instructions can be grouped in resource files.
 The original BibTool distribution contains a sufficient set of resource
 file samples to perform basic, relevant manipulations.
 .
 BibTool contains a documentation written in LaTeX.
 .
 BibTool is written in C and has been compiled on various operating
 systems like flavors of UN*X and MSDOS machines.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ --with autoreconf --with tex

override_dh_installchangelogs:
	dh_installchangelogs --keep Changes.txt

override_dh_compress:
	dh_compress -X.pdf

get-orig-source:
	uscan --no-conf --download-current-version --compression xz --verbose

## bibtool 2.66+ds

=== doc/Makefile ===
##*** Makefile ****************************************************************
## 
## This file is part of BibTool.
## It is distributed under the GNU General Public License.
## See the file COPYING for details.
## 
## (c) 1997-2016 Gerd Neugebauer
## 
## Net: gene@gerd-neugebauer.de
## 
##*****************************************************************************

LATEX     = latex
LUALATEX  = lualatex
BIBTEX    = bibtex
MAKEINDEX = makeindex

DIR_SEP   = /

.SUFFIXES: .tex .toc .dvi .pdf .aux .bbl .ind .idx $(SUFFIXES)

.tex.pdf:
	$(LUALATEX) $<
.tex.dvi:
	$(LATEX) $<
.tex.toc:
	$(LUALATEX) $<
.tex.idx:
	$(LUALATEX) $<
.tex.aux:
	$(LUALATEX) $<
.aux.bbl:
	$(BIBTEX) $*

TARGETS = bibtool.pdf ref_card.pdf c_lib.pdf

##-----------------------------------------------------------------------------

all: $(TARGETS)

##-----------------------------------------------------------------------------

bibtool.dvi: config.tex bibtool.tex bibtool.bbl bibtool.ind
	$(LATEX) bibtool
	$(LATEX) bibtool

bibtool.pdf: config.tex bibtool.tex bibtool.bbl bibtool.ind
	$(LUALATEX) bibtool
	$(LUALATEX) bibtool

bibtool.ind ind index: bibtool.idx
	$(MAKEINDEX) -s bibtool.ist bibtool

##-----------------------------------------------------------------------------

config.tex: ..$(DIR_SEP)version.c .$(DIR_SEP)make_version.pl
	.$(DIR_SEP)make_version.pl ..$(DIR_SEP)version.c > $*.tex

##-----------------------------------------------------------------------------

ref_card.dvi: ref_card.tex config.tex
	$(LATEX) ref_card.tex

ref_card.pdf: ref_card.tex config.tex
	$(LUALATEX) ref_card.tex

##-----------------------------------------------------------------------------

CDIR	= ..$(DIR_SEP)
HDIR	= ..$(DIR_SEP)include$(DIR_SEP)bibtool$(DIR_SEP)
CFILES	= $(HDIR)bibtool.h	\
	  $(HDIR)database.h	\
	  $(CDIR)database.c	\
	  $(HDIR)entry.h	\
	  $(CDIR)entry.c	\
	  $(HDIR)error.h	\
	  $(CDIR)error.c	\
	  $(HDIR)expand.h	\
	  $(CDIR)expand.c	\
	  $(HDIR)init.h		\
	  $(CDIR)init.c		\
	  $(HDIR)keynode.h	\
	  $(HDIR)key.h		\
	  $(CDIR)key.c		\
	  $(HDIR)macros.h	\
	  $(CDIR)macros.c	\
	  $(HDIR)names.h	\
	  $(CDIR)names.c	\
	  $(HDIR)parse.h	\
	  $(CDIR)parse.c	\
	  $(HDIR)print.h	\
	  $(CDIR)print.c	\
	  $(HDIR)pxfile.h	\
	  $(CDIR)pxfile.c	\
	  $(HDIR)record.h	\
	  $(CDIR)record.c	\
	  $(HDIR)rewrite.h	\
	  $(CDIR)rewrite.c	\
	  $(HDIR)resource.h	\
	  $(HDIR)rsc.h		\
	  $(CDIR)rsc.c		\
	  $(HDIR)s_parse.h	\
	  $(CDIR)s_parse.c	\
	  $(HDIR)stack.h	\
	  $(CDIR)stack.c	\
	  $(HDIR)sbuffer.h	\
	  $(CDIR)sbuffer.c	\
	  $(HDIR)symbols.h	\
	  $(CDIR)symbols.c	\
	  $(HDIR)tex_aux.h	\
	  $(CDIR)tex_aux.c	\
	  $(HDIR)tex_read.h	\
	  $(CDIR)tex_read.c	\
	  $(HDIR)type.h		\
	  $(CDIR)type.c		\
	  $(HDIR)version.h	\
	  $(CDIR)version.c	\
	  $(HDIR)wordlist.h	\
	  $(CDIR)wordlist.c

c_lib:
	$(LATEX) c_lib.tex
	$(MAKEINDEX) -s bibtool.ist c_lib
	$(LATEX) c_lib.tex

c_lib.dvi: c_lib.tex c_main.tex c.tex config.tex
	$(LATEX) c_lib.tex
	$(MAKEINDEX) -s bibtool.ist c_lib
	$(LATEX) c_lib.tex

c_lib.pdf: c_lib.tex c_main.tex c.tex config.tex
	$(LUALATEX) c_lib.tex
	$(MAKEINDEX) -s bibtool.ist c_lib
	$(LUALATEX) c_lib.tex

c_main.tex: $(CDIR)main.c c_get.pl
	perl c_get.pl $(CDIR)main.c > $@
c.tex: $(CFILES) c_get.pl
	perl c_get.pl $(CFILES) >  $@

##-----------------------------------------------------------------------------

clean:
	$(RM) *.bak *.BAK *~ *.log *.ilg *.blg *.toc *.out *.aux *.idx *.ind *.bbl

veryclean: clean
	$(RM) c.tex c_main.tex config.tex

distclean: veryclean
	$(RM) $(TARGETS)

=== debian/changelog ===
bibtool (2.66+ds-4) unstable; urgency=medium

  * FTBFS fix release (Closes: #852887, second attempt), override sbuild
    HOME setting as workaround to #852980.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 28 Jan 2017 17:16:54 +0000

bibtool (2.66+ds-3) unstable; urgency=medium

  * FTBFS fix release (Closes: #852887), add lmodern to Build-Depends field.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 28 Jan 2017 12:19:27 +0000

bibtool (2.66+ds-2) unstable; urgency=medium

  * Important bug fix release (Closes: #848947), thanks to Gautam Iyer
    <gi1242@gmail.com> for reporting the bug, and thanks to the upstream
    Gerd Neugebauer <gene@gerd-neugebauer.de> for fixing it rapidly.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 27 Dec 2016 00:00:45 +0000

bibtool (2.66+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/patches/*, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 10 Nov 2016 07:10:02 +0000

bibtool (2.65+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/patches/
      - d/p/upstream-test-security-local_load-explicit.patch, introduce and
        submitted.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 09 Oct 2016 02:06:44 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Jerome Benoit <calculus@rezozer.net>, Norbert Preining <preining@debian.org>
 Build-Depends:
  debhelper (>= 9), autotools-dev, dh-autoreconf, tex-common,
- texlive-binaries, texlive-latex-base, texlive-latex-recommended, texlive-luatex,
+ texlive-binaries, texlive-latex-base, texlive-latex-recommended, texlive-luatex, lmodern,
  libkpathsea-dev,
  tth, html2text
 Standards-Version: 3.9.8

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+## workaround #852980
+export HOME=$(CURDIR)/_home
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all

=== debian/watch ===
version=4
opts=repack,dversionmangle=s/\+ds$//,repacksuffix=+ds,pgpsigurlmangle=s/$/.asc/ \
http://mirrors.ctan.org/biblio/bibtex/utils/bibtool/ (?:|.*/)BibTool(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## bibtool 2.67%2Bds

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian Tex Maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>, Norbert Preining <preining@debian.org>
 Build-Depends:
- debhelper (>= 9), autotools-dev, dh-autoreconf, tex-common,
+ debhelper (>= 11), tex-common,
  texlive-binaries, texlive-latex-base, texlive-latex-recommended, texlive-luatex, lmodern,
  libkpathsea-dev,
  tth, html2text
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://www.gerd-neugebauer.de/software/TeX/BibTool/index.en.html
-Vcs-Git: https://anonscm.debian.org/git/debian-tex/bibtool.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-tex/bibtool.git
+Vcs-Git: https://salsa.debian.org/tex-team/bibtool.git
+Vcs-Browser: https://salsa.debian.org/tex-team/bibtool
 
 Package: bibtool
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

## workaround #852980
export HOME=$(CURDIR)/_home

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ --with tex

override_dh_installchangelogs:
	dh_installchangelogs --keep Changes.txt

override_dh_compress:
	dh_compress -X.pdf

get-orig-source:
	uscan --no-conf --download-current-version --verbose

## bibtool 2.67+ds

=== doc/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 ## It is distributed under the GNU General Public License.
 ## See the file COPYING for details.
 ## 
-## (c) 1997-2016 Gerd Neugebauer
+## (c) 1997-2017 Gerd Neugebauer
 ## 
 ## Net: gene@gerd-neugebauer.de
 ##

=== debian/changelog ===
bibtool (2.67+ds-7) unstable; urgency=medium

  * FTBFS fix release, LaTeX composition failure.
  * Debianization:
    - debian/control:
      - Build-Depends, add texlive-latex-extra;
      - Rules-Requires-Root, introduce and set to no;
      - Standards-Version, bumpt to version 4.4.1 (no change);
    - debian/copyright:
      - copyright year tuples, update;
      - tab chars, remove;
    - debian/tests:
      - d/t/make-check, replace ADTTMP with AUTOPKGTEST_TMP.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 17 Jan 2020 07:46:56 +0000

bibtool (2.67+ds-6) unstable; urgency=medium

  [ Hilmar Preusse ]
  * Fix Norberts address (Closes: #923699)
  * W: debian-source-options-has-custom-compression-settings

  [ Jerome Benoit ]
  * bump debhelper to 12
  * bump Standards-version to 4.4.0 (no change)
  * update debian/tests/control
  * discard get-orig-source target

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 06 Aug 2019 03:04:01 +0000

bibtool (2.67+ds-5) unstable; urgency=medium

  * Debianization:
    - debian/rules, include pkg-info.mk (reproducible doc).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 23 Feb 2018 19:09:13 +0000

bibtool (2.67+ds-4) unstable; urgency=medium

  * Debianization:
    - debian/copyright:
      - Format field, secure URI;
    - debian/control:
      - Vcs-* fields, migration to migration to salsa.debian.org .

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 16 Feb 2018 14:48:18 +0000

bibtool (2.67+ds-3) unstable; urgency=medium

  * Debianization:
    - debian/copyright, refresh;
    - debian/control:
      - debhelper, bump to 11;
      - Standards Version, bump to 4.1.3 (no change);
    - debian/rules:
      - debhelper, bump to 11;
      - get-orig-source target, simplify;
    - debian/watch, harden;
    - debian/upstream/*:
      - d/u//signing-key.*, bump to asc;
    - debian/source/*:
      - d/s/lintian-overrides, introduce;
      - d/s/include-binaries, discarded.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 31 Dec 2017 13:50:37 +0000

bibtool (2.67+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 23 Jun 2017 07:04:48 +0000

bibtool (2.67+ds-1) experimental; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/patches/:
      - d/p/upstream-source-warnings-silence.patch, silence gcc;
      - discard integrated and/or obsoleted patches:
        - d/p/upstream-fix-empty_key_separator-bug_848947.patch .

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 12 May 2017 09:37:26 +0000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,17 @@
 Section: tex
 Priority: optional
 Maintainer: Debian Tex Maintainers <debian-tex-maint@lists.debian.org>
-Uploaders: Jerome Benoit <calculus@rezozer.net>, Norbert Preining <preining@debian.org>
+Uploaders: Jerome Benoit <calculus@rezozer.net>,
+           Norbert Preining <norbert@preining.info>
+Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 11), tex-common,
- texlive-binaries, texlive-latex-base, texlive-latex-recommended, texlive-luatex, lmodern,
+ debhelper-compat (= 12),
+ tex-common,
+ texlive-binaries,
+ texlive-latex-base, texlive-latex-recommended, texlive-latex-extra, texlive-luatex, lmodern,
  libkpathsea-dev,
  tth, html2text
-Standards-Version: 4.1.3
+Standards-Version: 4.4.1
 Homepage: http://www.gerd-neugebauer.de/software/TeX/BibTool/index.en.html
 Vcs-Git: https://salsa.debian.org/tex-team/bibtool.git
 Vcs-Browser: https://salsa.debian.org/tex-team/bibtool

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,3 @@
 
 override_dh_compress:
 	dh_compress -X.pdf
-
-get-orig-source:
-	uscan --no-conf --download-current-version --verbose

=== debian/tests/control ===
Tests: make-check
Depends: bibtool, texlive-base, make
Restrictions: allow-stderr

Test-Command: debian/tests/stresstest test/bib/xampl.bib test/bib/xampl_s.bib $ADTTMP/STRESSTESTDIR
Depends: bibtool, texlive-base

## bibtool 2.68+ds

=== BibTcl/Makefile ===
# Generated automatically from Makefile.in by configure.
# *****************************************************************************
#  $Id: Makefile,v 1.1 2007-02-08 20:34:25 gene Exp $
# =============================================================================
#  
#  This file is part of BibTool.
#  It is distributed under the GNU General Public License.
#  See the file COPYING for details.
#  
#  (c) 1996-2001 Gerd Neugebauer
#  
#  Net: gene@gerd-neugebauer.de
#  
# *****************************************************************************

prefix		= /usr/local
exec_prefix	= ${prefix}

LIBDIR		= ${exec_prefix}/lib/BibTool

CC		= gcc -pipe
CFLAGS		= -g
SHLIB_CFLAGS	= -fPIC
SHLIB_LD	= gcc -pipe -shared
SHLIB_SUFFIX	= .so
SHLIB_VERSION	= 
SRC_DIR		= .
TCLSH		= tclsh
TCL_VERSION	= 8.4
TCL_PREFIX	= /usr
TCL_INCLUDE	= /usr/include
RM		= /bin/rm -f

LATEX 		= lualatex
BIBTEX 		= bibtex
MAKEINDEX	= makeindex

BIBTOOLDIR = ..
OFILES	   = $(BIBTOOLDIR)/database.o	\
	     $(BIBTOOLDIR)/entry.o	\
	     $(BIBTOOLDIR)/error.o	\
	     $(BIBTOOLDIR)/expand.o	\
	     $(BIBTOOLDIR)/init.o	\
	     $(BIBTOOLDIR)/key.o	\
	     $(BIBTOOLDIR)/macros.o	\
	     $(BIBTOOLDIR)/names.o	\
	     $(BIBTOOLDIR)/parse.o	\
	     $(BIBTOOLDIR)/print.o	\
	     $(BIBTOOLDIR)/pxfile.o	\
	     $(BIBTOOLDIR)/record.o	\
	     $(BIBTOOLDIR)/rewrite.o	\
	     $(BIBTOOLDIR)/regex.o	\
	     $(BIBTOOLDIR)/rsc.o	\
	     $(BIBTOOLDIR)/s_parse.o	\
	     $(BIBTOOLDIR)/symbols.o	\
	     $(BIBTOOLDIR)/stack.o	\
	     $(BIBTOOLDIR)/sbuffer.o	\
	     $(BIBTOOLDIR)/tex_aux.o	\
	     $(BIBTOOLDIR)/tex_read.o	\
	     $(BIBTOOLDIR)/type.o	\
	     $(BIBTOOLDIR)/version.o	\
	     $(BIBTOOLDIR)/wordlist.o

all:  bibtool${SHLIB_SUFFIX} bibtool.tcl

bibtool${SHLIB_SUFFIX}: bibtool.c $(OFILES)
	$(CC) -c $(CFLAGS) -I$(BIBTOOLDIR)/include -I$(TCL_INCLUDE) $(SHLIB_CFLAGS) -o bibtool.o $<
	$(SHLIB_LD) bibtool.o $(OFILES) -o $@
	$(RM) bibtool.o

bibtool.tcl: Makefile
	@echo "#----------------------------------------------------------" >$@
	@echo "# This file is automatically created."			   >>$@
	@echo "# Any modifications will be lost the next time it is made." >>$@
	@echo "# This file is part of BibTool."				   >>$@
	@echo "# Copyright (C) 1997-1998 Gerd Neugebauer."		   >>$@
	@echo "set BIBTOOLDIR {$(LIBDIR)}"				   >>$@
	@echo 'load $$BIBTOOLDIR/$$tcl_platform(os)$$tcl_platform(osVersion)/bibtool[info sharedlibextension]' >>$@

INST_DIR = `echo 'puts $(LIBDIR)/$$tcl_platform(os)$$tcl_platform(osVersion)'|$(TCLSH)`

bibtcl.aux bibtcl.idx: bibtcl.tex bibtcl.ltx
	$(LATEX) bibtcl.ltx
bibtcl.pdf: bibtcl.tex bibtcl.ltx bibtcl.bbl bibtcl.ind
	$(LATEX) bibtcl.ltx
	$(LATEX) bibtcl.ltx
bibtcl.ind: bibtcl.idx
	$(MAKEINDEX) -s bibtool.ist bibtcl
bibtcl.bbl: bibtcl.bib bibtcl.aux
	$(BIBTEX) bibtcl

install: bibtool${SHLIB_SUFFIX} bibtool.tcl
	-mkdir $(INST_DIR)
	cp bibtool${SHLIB_SUFFIX} bibtool.tcl $(INST_DIR)

clean:
	rm -f *.o *${SHLIB_SUFFIX} config.cache config.log config.status lib.exp

distclean: clean
	rm -f Makefile

status:
	@echo $(LIBDIR)

=== doc/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 ## It is distributed under the GNU General Public License.
 ## See the file COPYING for details.
 ## 
-## (c) 1997-2017 Gerd Neugebauer
+## (c) 1997-2020 Gerd Neugebauer
 ## 
 ## Net: gene@gerd-neugebauer.de
 ## 
@@ -69,6 +69,10 @@
 CDIR	= ..$(DIR_SEP)
 HDIR	= ..$(DIR_SEP)include$(DIR_SEP)bibtool$(DIR_SEP)
 CFILES	= $(HDIR)bibtool.h	\
+	  $(HDIR)check.h	\
+	  $(CDIR)check.c	\
+	  $(HDIR)crossref.h	\
+	  $(CDIR)crossref.c	\
 	  $(HDIR)database.h	\
 	  $(CDIR)database.c	\
 	  $(HDIR)entry.h	\
@@ -136,7 +140,7 @@
 c_main.tex: $(CDIR)main.c c_get.pl
 	perl c_get.pl $(CDIR)main.c > $@
 c.tex: $(CFILES) c_get.pl
-	perl c_get.pl $(CFILES) >  $@
+	perl c_get.pl $(CFILES) > $@
 
 ##-----------------------------------------------------------------------------
 
@@ -149,4 +153,4 @@
 distclean: veryclean
 	$(RM) $(TARGETS)
 
-
+##-----------------------------------------------------------------------------

=== debian/changelog ===
bibtool (2.68+ds-3) unstable; urgency=medium

  * Debianization:
    - fix uscan machinery:
      - d/watch, point now to github via tags;
      - d/u/signing-key.asc, rename to d/u/X-signing-key.asc .

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 20 Apr 2025 18:46:10 +0000

bibtool (2.68+ds-2) unstable; urgency=medium

  [ Jerome Benoit ]
  * Introduce d/p/fix-upstream-migration_to_C23.patch (Closes: 1096366).
  * Add to Build-Depends list autoconf-archive (see previous patch).
  * Refresh copyright year-tuples.
  * Bump standards version to 4.7.2, (no change).
  * Discard d/s/lintian-overrides .
  * Introduce d/bibtool.lintian-overrides .
  * Minor janitorial works.

  [ Hilmar Preusse ]
  * d/watch points to github.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Set upstream metadata fields: Repository.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 12 Apr 2025 23:17:04 +0000

bibtool (2.68+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/copyright:
      - copyright year tupls, update;
    - debian/control:
      - Standards-Version, bumpt to version 4.5.0 (no change);
    - debian/patches:
      - d/p/upstream-source-warnings-silence.patch, integrated;
    - debian/tests/*:
      - d/t/control, migrate to AUTOPKGTEST_TMP usage;
      - d/t/make-check, discard BIBTOOL arguments in tests.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 29 May 2020 13:29:26 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: bibtool
 Section: tex
 Priority: optional
-Maintainer: Debian Tex Maintainers <debian-tex-maint@lists.debian.org>
+Maintainer: Debian Tex Task Force <debian-tex-maint@lists.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>,
            Norbert Preining <norbert@preining.info>
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
+ autoconf-archive,
  tex-common,
  texlive-binaries,
  texlive-latex-base, texlive-latex-recommended, texlive-latex-extra, texlive-luatex, lmodern,
  libkpathsea-dev,
  tth, html2text
-Standards-Version: 4.4.1
+Standards-Version: 4.7.2
 Homepage: http://www.gerd-neugebauer.de/software/TeX/BibTool/index.en.html
 Vcs-Git: https://salsa.debian.org/tex-team/bibtool.git
 Vcs-Browser: https://salsa.debian.org/tex-team/bibtool

=== debian/tests/control ===
Tests: make-check
Depends: bibtool, texlive-base, make
Restrictions: allow-stderr

Test-Command: debian/tests/stresstest test/bib/xampl.bib test/bib/xampl_s.bib $AUTOPKGTEST_TMP/STRESSTESTDIR
Depends: bibtool, texlive-base

=== debian/watch ===
version=4
opts=repack,compression=xz,dversionmangle=s/\+ds$//,uversionmangle=s/_/./g,repacksuffix=+ds,pgpsigurlmangle=s/$/.asc/ \
https://github.com/ge-ne/bibtool/tags .*/BibTool_(\d_\d{2})\.tar\.gz
